You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
gentoo-overlay/x11-themes/gnome-themes/files/gnome-themes-2.24.3-bashism...

14 lines
524 B

# https://bugs.gentoo.org/show_bug.cgi?id=256337
# http://bugzilla.gnome.org/show_bug.cgi?id=550927
--- a/common/mkiconlinks.sh 2008-09-04 17:15:42.000000000 -0500
+++ b/common/mkiconlinks.sh 2008-09-04 17:16:31.000000000 -0500
@@ -16,7 +16,7 @@
while [ ! -z "$NEXTLINE" ] ; do
# Skip lines beginning with '#'
- if [ ! "${NEXTLINE:0:1}" == '#' ]; then
+ if ! echo ${NEXTLINE} | grep -q "^#" ; then
#Extract first field, minus its trailing colon
ORIG_FILE=`echo $NEXTLINE | awk '/:/{print $1}' | sed -e 's/://'`